Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class MediaManager.OrderedProps

    java.lang.Object
      org.jasig.portal.MediaManager.OrderedProps

Enclosing class:
  MediaManager

     class MediaManager.OrderedProps

extends java.lang.Object

COPIED FROM XALAN SOURCE Stores the keys and values from a file (similar to a properties file) and can return the first value which has a key contained in its string. File can have comment lines starting with '#" and for each line the entries are separated by tabs and '=' char.

Field Summary
`private java.util.Vector` | `attVec` Stores the Key and Values as an array of Strings

Constructor Summary
`MediaManager.OrderedProps(java.io.InputStream inputStream)` Constructor.

Method Summary
`(package private) java.lang.String` | `getDefaultValue()`
`(package private) java.lang.String` | `getValue(java.lang.String s)` Iterates through the Key list and returns the first value for whose key the given string contains.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attVec

    private java.util.Vector attVec

  Stores the Key and Values as an array of Strings

Constructor Detail

### MediaManager.OrderedProps

    MediaManager.OrderedProps(java.io.InputStream inputStream)
                        throws java.io.IOException

  Constructor.

  Parameters:
    `inputStream` - Stream containing the properties file.
  Throws:
    `java.io.IOException` - Thrown if unable to read from stream

Method Detail

### getValue

    java.lang.String getValue(java.lang.String s)

  Iterates through the Key list and returns the first value for whose key the given string contains. Returns "unknown" if no key is contained in the string.

  Parameters:
    `s` - String being searched for a key.
  Returns:
    Value for key found in string, otherwise "unknown"

### getDefaultValue

    java.lang.String getDefaultValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD